[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Types' (#rtl)

# CenterPoint

Return the center point of a rectangle

## Declaration

Source position: types.pp line 339

`function CenterPoint(`
`const Rect: TRect`
`):TPoint;`

## Description

CenterPoint returns the center point of the rectangle Rect.

## See also

PtinRect |  | Check whether a point is inside a rectangle.
IntersectRect |  | Return the intersection of 2 rectangles
IsRectEmpty |  | Check whether a rectangle is empty
OffsetRect |  | Offset the rectangle
InflateRect |  | Increase the rectangle in size, keeping it centered
Size |  | Return the size of the rectangle
IsRectEmpty |  | Check whether a rectangle is empty